# Class ConfigTestingService

#### Implements

- ConfigService

- Defined in lib/config-testing-service.ts:9

#####
Index

### Constructors

constructor

### Properties

config

### Methods

clearLocalConfig
get
getOrThrow
set
setLocalConfig

## Constructors

### constructor

- new ConfigTestingService(): ConfigTestingService

- #### Returns ConfigTestingService

## Properties

### `Readonly` config

config: Record<string, any> = {}

Implementation of ConfigService.config

- Defined in lib/config-testing-service.ts:10

## Methods

### clearLocalConfig

- clearLocalConfig(): void

- #### Returns void

  Implementation of ConfigService.clearLocalConfig

  - Defined in lib/config-testing-service.ts:13

### get

- get<T>(propertyPath, defaultValue?): T

- #### Type Parameters

  - T

  #### Parameters

  - propertyPath: string
  - `Optional` defaultValue: T

  #### Returns T

  Implementation of ConfigService.get

  - Defined in lib/config-testing-service.ts:20

### getOrThrow

- getOrThrow<T>(propertyPath): T

- #### Type Parameters

  - T

  #### Parameters

  - propertyPath: string

  #### Returns T

  Implementation of ConfigService.getOrThrow

  - Defined in lib/config-testing-service.ts:24

### set

- set<T>(propertyPath, value): void

- #### Type Parameters

  - T

  #### Parameters

  - propertyPath: string
  - value: T

  #### Returns void

  - Defined in lib/config-testing-service.ts:16

### setLocalConfig

- setLocalConfig(config): void

- #### Parameters

  - config: Record<string, any>

  #### Returns void

  Implementation of ConfigService.setLocalConfig

  - Defined in lib/config-testing-service.ts:33